Dansguardian Package



  • Since Dansguardian IS BROKEN.

    Could we please have Dansguardian 2.12.0.2 put back into the package list until it is resolved one way or another.

    Why is there no previous version option?

    Its been like this for months.

    Thanks



  • Which platform?

    I have 2.12.0.3_2 pkg v.0.1.12 running on 2.1.5 i386 and was also able to get it to run on 2.2 beta AMD64



  • I confirm this. I am having no problems with Dan's Guardian on amd64 platform, on either pfSense 2.2, or pfSense 2.1.5 .
    I AM, however, having issues with Squid3-dev on both platforms. Squid3 package is missing from download server for pfSense 2.2.

    OP: Please provide more details as to your particular setup, so it can be determined whether this is an isolated glitch, or a broader epidemic.

    Also, double-check that both DansGuardian and Squid3 services/daemons are running?

    Finally, go to the console/open an ssh session, and type "ps ax | grep dansguardian" . Post the output. Do the same with "squid -d 5" , and "ps ax | grep squid".



  • @aaronouthier:

    I AM, however, having issues with Squid3-dev on both platforms. Squid3 package is missing from download server for pfSense 2.2.

    I can confirm this also



  • When Dansguardian goes under heavy load all the processes exit with Signal 11.

    Discussed here:  https://forum.pfsense.org/index.php?topic=61811.0

    Of course, i could install the updated packages but I lose the GUI and some other features,  which is no good for my setup with other less technical users.

    It essentially makes Dans useless in heavy environments. Well, if you call 120 - 160 users "heavy".

    I'm fairly sure my company would be willing to put up money to get this sorted out if Marcell and anyone who can write the GUI are interested.  I'm already grateful these guys have done what they have for nothing, but tidying this up would be very useful.

    I'm guessing you guys are running a small amount of users and don't see the Signal 11 problem.

    Another idea is if someone could point me towards a URL with the old packages so i can install 2.12.0.2 again.



  • Is Danguardian maintained any more?



  • Not for Freebsd by the looks.

    Note that Fred in that linked thread has forked to his own "e2guardian" which needs to be ported.



  • However, I've been using the DG package for pfSense for a couple years now. There are a few minor issues with it (you can search the forums) but it works fine…



  • It does work mostly fine.

    Except the Signal 11 problem with 2.12.03 which is the current package on pfsense.  Under heavy load it quits out and of course web stops.

    Upgrading to Marcells package seems to kill the GUI.


Log in to reply